.wrapper .wrapperCard .form-group .select2.select2-container.select2-container--default{
	width: 100% !important;
}

.mutiPhotoInput{
        border: 1px solid #ededed;
        align-items: center;
/*        padding: 0px 7px ;*/
    }

.mutiPhotoInput .form-control {
        border: 0 !important;
        padding: 14px 20px !important;
}

.mutiPhotoInput .input-group-btn .btn{
        width: 95px;
}

.mutiPhotoInput .input-group-btn{
        padding-right: 7px;
}

.sweet-alert button.cancel{
        background-color: #4d5dee !important;
}

.sweet-alert button.confirm{
        background-color: red !important;
}

.classBookingForm .priceInput .priceIcon, .classScheduleForm .priceInput .priceIcon {
  position: absolute !important;
  bottom: 15px !important;
  left: 10px !important;
}

.chatWrapper {
  width: 100%;
  border: 1px solid #e9e9e9;
  border-radius: 15px;
  overflow: hidden;
}

.login .typeForm .form-group .position-relative{
  width: 100% !important;
}

.disableTag{
  pointer-events: none;
}




.chat_box{
 width:350px;
 padding: 5px;
 position: fixed;
 bottom: 0px;

 right: 70px !important;
 bottom: 20%;
 background: #d5d9ff;
 border-radius: 10px;
 padding: 15px;
 z-index: 99;
}

.chat_box .box-header {
 display: flex;
 justify-content: space-between;
 align-items: center;
 border-bottom: 1px solid #bfbfbf;
 padding: 5px 0;
}

.chat_box .box-header h6{
 color: #4d5dee;
 font-weight: 600;
}

.chat_box .box-header .box-tools {
 display: flex;
 justify-content: end;
 grid-gap: 10px;
}

.chat_box .box-header .box-tools .btn-box-tool{
 padding: 9px 5px;
}

.direct-chat-danger .right>.direct-chat-text {
 background:#4d5dee;
 border-color:#4d5dee;
 color:#fff;
 width: fit-content;
 margin-top: 0px;
}


.chat_box .direct-chat-msg{
 display: flex;
 flex-direction: column-reverse;
 align-items: flex-end;
 grid-gap: 5px;
}

.chat_box .box-footer{
 width: 100%;
 margin-top: 20px;
}

.chat_box .box-footer .input-group{
 display: flex;
}

.chat_box .box-footer .input-group .form-control{
 border-radius: 5px;
 font-size: 12px;
 color: #000;
}

.chat_box .box-footer .input-group .form-control::placeholder {
 color: #898dae;
 opacity: 1;
}

.chat_box .box-footer .input-group .form-control:-ms-input-placeholder {
 color: #898dae;
}

.chat_box .box-footer .input-group .form-control::-ms-input-placeholder {
 color: #898dae;
}

.chat_box .box-footer .input-group .input-group-btn input{
 display: none;
}

.chat_box .box-footer .input-group .input-group-btn .btn-file{
 background: #4d5dee;
 border-radius: 0 5px 5px 0;
}

.chat_box .box-footer .input-group .input-group-btn .btn-file i{
  color:#fff;
}


.direct-chat .box-body {
 border-bottom-right-radius:0;
 border-bottom-left-radius:0;
 position:relative;
 overflow-x:hidden;
 padding:0
}
.direct-chat.chat-pane-open .direct-chat-contacts {
 -webkit-transform:translate(0, 0);
 -ms-transform:translate(0, 0);
 -o-transform:translate(0, 0);
 transform:translate(0, 0)
}
.direct-chat-messages {
 -webkit-transform:translate(0, 0);
 -ms-transform:translate(0, 0);
 -o-transform:translate(0, 0);
 transform:translate(0, 0);
 padding:10px;
 height:250px;
 overflow:auto
}
.direct-chat-msg,
.direct-chat-text {
 display:block
}
.direct-chat-msg {
 margin-bottom:10px
}
.direct-chat-msg:before,
.direct-chat-msg:after {
 content:" ";
 display:table
}
.direct-chat-msg:after {
 clear:both
}
.direct-chat-messages,
.direct-chat-contacts {
 -webkit-transition:-webkit-transform .5s ease-in-out;
 -moz-transition:-moz-transform .5s ease-in-out;
 -o-transition:-o-transform .5s ease-in-out;
 transition:transform .5s ease-in-out
}
.direct-chat-text {
 border-radius:5px;
 position:relative;
 padding:5px 10px;
 background:#d2d6de;
 border:1px solid #d2d6de;
 margin:5px 0 0 50px;
 color:#444
}
.direct-chat-text:after,
.direct-chat-text:before {
 position:absolute;
 right:100%;
 top:15px;
 border:solid transparent;
 border-right-color:#d2d6de;
 content:' ';
 height:0;
 width:0;
 pointer-events:none
}
.direct-chat-text:after {
 border-width:5px;
 margin-top:-5px
}
.direct-chat-text:before {
 border-width:6px;
 margin-top:-6px
}
.right .direct-chat-text {
 margin-right:50px;
 margin-left:0
}
.right .direct-chat-text:after,
.right .direct-chat-text:before {
 right:auto;
 left:100%;
 border-right-color:transparent;
 border-left-color:#d2d6de
}
.direct-chat-img {
 border-radius:50%;
 float:left;
 width:40px;
 height:40px
}
.right .direct-chat-img {
 float:right
}
.direct-chat-info {
 display:block;
 margin-bottom:2px;
 font-size:12px
}
.direct-chat-name {
 font-weight:600
}
.direct-chat-timestamp {
 color: #5e5e5e;
}
.direct-chat-contacts-open .direct-chat-contacts {
 -webkit-transform:translate(0, 0);
 -ms-transform:translate(0, 0);
 -o-transform:translate(0, 0);
 transform:translate(0, 0)
}
.direct-chat-contacts {
 -webkit-transform:translate(101%, 0);
 -ms-transform:translate(101%, 0);
 -o-transform:translate(101%, 0);
 transform:translate(101%, 0);
 position:absolute;
 top:0;
 bottom:0;
 height:250px;
 width:100%;
 background:#222d32;
 color:#fff;
 overflow:auto
}


.direct-chat-danger .right>.direct-chat-text:after,
.direct-chat-danger .right>.direct-chat-text:before {
 border-left-color:#dd4b39
}
.direct-chat-primary .right>.direct-chat-text {
 background:#4d5dee;
 border-color:#4d5dee;
 color:#fff
}
.direct-chat-primary .right>.direct-chat-text:after,
.direct-chat-primary .right>.direct-chat-text:before {
 border-left-color:#4d5dee
}
.direct-chat-warning .right>.direct-chat-text {
 background:#f39c12;
 border-color:#f39c12;
 color:#fff
}
.direct-chat-warning .right>.direct-chat-text:after,
.direct-chat-warning .right>.direct-chat-text:before {
 border-left-color:#f39c12
}
.direct-chat-info .right>.direct-chat-text {
 background:#00c0ef;
 border-color:#00c0ef;
 color:#fff
}
.direct-chat-info .right>.direct-chat-text:after,
.direct-chat-info .right>.direct-chat-text:before {
 border-left-color:#00c0ef
}
.direct-chat-success .right>.direct-chat-text {
 background:#00a65a;
 border-color:#00a65a;
 color:#fff
}
.direct-chat-success .right>.direct-chat-text:after,
.direct-chat-success .right>.direct-chat-text:before {
 border-left-color:#00a65a
}

.modal-open #example_length .select2-container{
    z-index: 55 !important; 
}

.chat_box .direct-chat-auto{
    align-items: flex-start;
}